pctx0
from pctx0 import Pctx0Client
client = Pctx0Client(
access_key="YOUR_ACCESS_KEY",
workspace_id="YOUR_WORKSPACE_ID",
)
agent = client.agent.update(
"AGENT_ID",
name="Support bot",
description="Updated description",
)
import { Nctx0Client } from "@actx0/nctx0";
const client = new Nctx0Client({
accessKey: "YOUR_ACCESS_KEY",
workspaceId: "YOUR_WORKSPACE_ID",
});
const agent = await client.agent.update("AGENT_ID", {
name: "Support bot",
description: "Updated description",
});
package main
import (
"context"
"github.com/Actx0/Gctx0"
)
func main() {
client := gctx0.NewClient(
gctx0.WithAccessKey("YOUR_ACCESS_KEY"),
gctx0.WithWorkspaceId("YOUR_WORKSPACE_ID"),
)
defer client.Close()
ctx := context.Background()
agent, err := client.Agent.Update(ctx, "AGENT_ID", "Support bot", "Updated description", gctx0.AgentWriteOptions{})
_ = agent
_ = err
}
curl -X PUT 'https://app.actx0.com/api/v1/workspaces/<workspaceId>/agents/<agentId>' \
-H "X-Access-Key: YOUR_ACCESS_KEY" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{"name": "Support bot", "description": "Handles customer support conversations"}'
# ---
# acli
export ACTX0_ACCESS_KEY="YOUR_ACCESS_KEY"
export ACTX0_WORKSPACE_ID="YOUR_WORKSPACE_ID"
acli agent update AGENT_ID --name "Support bot" --description "Updated description"
{
"id": "22222222-2222-2222-2222-222222222222",
"workspaceId": "11111111-1111-1111-1111-111111111111",
"name": "Support bot",
"kind": "unmanaged",
"handle": "support-bot",
"description": "Handles customer support conversations",
"status": "active",
"createdAt": "2026-07-01T12:00:00Z",
"updatedAt": "2026-07-01T12:00:00Z",
"promptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kbLabels": {}
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}Agents
Update Agent
Update an agent’s name and description.
PUT
/
workspaces
/
{workspaceId}
/
agents
/
{agentId}
pctx0
from pctx0 import Pctx0Client
client = Pctx0Client(
access_key="YOUR_ACCESS_KEY",
workspace_id="YOUR_WORKSPACE_ID",
)
agent = client.agent.update(
"AGENT_ID",
name="Support bot",
description="Updated description",
)
import { Nctx0Client } from "@actx0/nctx0";
const client = new Nctx0Client({
accessKey: "YOUR_ACCESS_KEY",
workspaceId: "YOUR_WORKSPACE_ID",
});
const agent = await client.agent.update("AGENT_ID", {
name: "Support bot",
description: "Updated description",
});
package main
import (
"context"
"github.com/Actx0/Gctx0"
)
func main() {
client := gctx0.NewClient(
gctx0.WithAccessKey("YOUR_ACCESS_KEY"),
gctx0.WithWorkspaceId("YOUR_WORKSPACE_ID"),
)
defer client.Close()
ctx := context.Background()
agent, err := client.Agent.Update(ctx, "AGENT_ID", "Support bot", "Updated description", gctx0.AgentWriteOptions{})
_ = agent
_ = err
}
curl -X PUT 'https://app.actx0.com/api/v1/workspaces/<workspaceId>/agents/<agentId>' \
-H "X-Access-Key: YOUR_ACCESS_KEY" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{"name": "Support bot", "description": "Handles customer support conversations"}'
# ---
# acli
export ACTX0_ACCESS_KEY="YOUR_ACCESS_KEY"
export ACTX0_WORKSPACE_ID="YOUR_WORKSPACE_ID"
acli agent update AGENT_ID --name "Support bot" --description "Updated description"
{
"id": "22222222-2222-2222-2222-222222222222",
"workspaceId": "11111111-1111-1111-1111-111111111111",
"name": "Support bot",
"kind": "unmanaged",
"handle": "support-bot",
"description": "Handles customer support conversations",
"status": "active",
"createdAt": "2026-07-01T12:00:00Z",
"updatedAt": "2026-07-01T12:00:00Z",
"promptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kbLabels": {}
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}Authorizations
AccessKeyAuthApiKeyAuth
Workspace access key for agent/runtime integrations.
Body
application/json
Response
OK
Example:
"22222222-2222-2222-2222-222222222222"
Example:
"11111111-1111-1111-1111-111111111111"
Example:
"Support bot"
Example:
"unmanaged"
Example:
"support-bot"
Example:
"Handles customer support conversations"
Example:
"active"
Example:
"2026-07-01T12:00:00Z"
Example:
"2026-07-01T12:00:00Z"
Show child attributes
Show child attributes
Was this page helpful?
